%define pypi_name	tagpy

Name:		python-tagpy
Version:	2018.1.1
Release:	%mkrel 3
Summary:	Python bindings for TagLib to read and write music files tags
License:	MIT
Group:		Development/Python
Url:		http://mathema.tician.de/software/tagpy
Source0:	https://pypi.io/packages/source/t/%{pypi_name}/%{pypi_name}-%{version}.tar.xz
# from Debian
Patch0:		taglib-1.8.patch
# from Arch
Patch1:		tagpy-compile_fix.patch
BuildRequires:	pkgconfig(taglib)
BuildRequires:	boost-devel

%description
TagPy is a Python crust (or a set of Python bindings) for TagLib, which allows
to read and write ID3 tags of version 1 and 2, access Xiph Comments in Ogg
Vorbis Files and Ogg Flac Files and access APE tags in Musepack and MP3 files.

%package -n python3-%{pypi_name}
Summary:	Python 3 bindings for TagLib to read and write music files tags
Group:		Development/Python
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-setuptools

%description -n python3-%{pypi_name}
TagPy is a Python 3 crust (or a set of Python 3 bindings) for TagLib, which allows
to read and write ID3 tags of version 1 and 2, access Xiph Comments in Ogg
Vorbis Files and Ogg Flac Files and access APE tags in Musepack and MP3 files.

%prep
%setup -q -n %{pypi_name}-%{version}
%apply_patches

rm -rf tagpy.egg-info
chmod -x test/tagrename

# local config
cat >> siteconf.py << EOF
BOOST_INC_DIR = ['%{_includedir}/boost/']
BOOST_LIB_DIR = ['%{_libdir}']
BOOST_COMPILER = ['gcc']
BOOST_PYTHON_LIBNAME = ['boost_python%{python3_version_nodots}']
TAGLIB_INC_DIR = ['%{_includedir}/taglib/']
TAGLIB_LIB_DIR = ['%{_libdir}']
TAGLIB_LIBNAME = ['tag']
CXXFLAGS = []
EOF

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc test/*.py test/tagrename
%{python3_sitearch}/%{pypi_name}/
%{python3_sitearch}/*.so
%{python3_sitearch}/*.egg-info

%changelog
* Sun Sep 18 2022 tex - 2018.1.1-3pclos2022
- rebuild against updates

* Mon Aug 22 2022 tex - 2018.1.1-2pclos2022
- rebuild against updates

* Tue Aug 16 2022 TerryN <terryn94 at gmail.com> 2018.1.1-1pclos2022
- update and rebuild for python 3.10

* Thu Jan 10 2019 tex 2013.1-1pclos2019
- rebuild for new boost 1.68.0
